Retrieves all the purchase order order lines

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

purchase_order_details
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
purchase_order_id

Foreign key of the purchase_order

globally unique identifier

Optionally required : purchase_order_id, purchase_order_reference or purchase_order must be provided

purchase_order_reference_back_office

Embedded entity "purchase_order" using ERP PK when adding/updating

string

Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided

purchase_order

Embedded entity "purchase_order" when adding/updating

purchase_order

Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided

article_id

Foreign key of article

globally unique identifier

Optionally required : article_id, article_code or article must be provided

article_code

Embedded entity "article" using ERP PK when adding/updating

string

Optionally required : article_id, article_code or article must be provided

article

Embedded entity "article" when adding/updating

article

Optionally required : article_id, article_code or article must be provided

line_number

Line Number, auto filled with (Highest+1) if value is 0/null

integer
code

Code of the article (auto filled if empty)

string

Max length: 255

supplier_code

Code of the supplier for this article

string

Max length: 255

name

Article Name (will be auto filled if article.name+description are empty)

string

Max length: 255

description

Article description (will be auto filled by article.short_description if name+description are empty)

string

Max length: 255

price

Unit Price

decimal number

Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$

Range: inclusive between 0.1 and 1.79769313486232E+308

quantity

Quantity

decimal number

Required

Range: inclusive between 0.1 and 1.79769313486232E+308

memo

Line memo/remark

string
cost_price

Unit Cost Price (statistic purpose)

decimal number

Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$

reference_back_office

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "aa7192d3-108f-4574-abeb-5ce37b3f9a7d",
  "purchase_order_id": "28ecf328-1ac6-4fc4-b226-4fdb5691012c",
  "purchase_order_reference_back_office": "sample string 3",
  "purchase_order": {
    "id": "d41f0afb-9155-4e0a-9312-c5b16a8f6032",
    "id2": 2,
    "jobs_id": "07734256-edd6-4ce6-80bc-de593ff6fb2d",
    "jobs_reference_back_office": "sample string 4",
    "supplier_company_id": "b4aba590-1580-44e8-a6f0-0e400bd29e9c",
    "supplier_company_code": "sample string 6",
    "user_id": "a60146be-6cf3-4a27-8698-882f93da1f47",
    "user_code": "sample string 8",
    "description": "sample string 9",
    "memo": "sample string 10",
    "total_lines": 11,
    "date_create": "2026-10-28T21:49:56.2911712+00:00",
    "date_update": "2026-10-28T21:49:56.2911712+00:00",
    "date_delivery": "2026-10-28T21:49:56.2911712+00:00",
    "confirmed_date_delivery": "2026-10-28T21:49:56.2911712+00:00",
    "delivery_db_address_id": "fedf5378-3976-4318-bc2d-e77bb4526f7a",
    "approved_by_user_id": "37f12f19-f9bc-41d9-9c9d-9c160b9db39f",
    "approved_by_user_code": "sample string 18",
    "technical_user_id": "b91628f9-7a96-4774-98ab-a277ef480cca",
    "technical_user_code": "sample string 20",
    "purchase_order_status_id": "6a05effd-a2bf-458b-8c4e-30af61dd432a",
    "purchase_order_status_code": "sample string 22",
    "article_stock_location_id": "c5a3064b-bdcb-426a-8eae-78d400f34f47",
    "is_pickup": true,
    "reference_back_office": "sample string 25",
    "modified_dateutc": "2026-10-28T21:49:56.2911712+00:00"
  },
  "article_id": "a89bde35-6e03-4c62-a547-d2a2543d67dc",
  "article_code": "sample string 5",
  "article": {
    "id": "e912fccc-26c9-4d59-a9f2-9c39f8abeb0a",
    "article_category_id": "9b483468-c2cb-4626-9739-91c301f56ba9",
    "article_category": {
      "id": "077048ba-90fe-4dba-82e1-5bca0d6ea08d",
      "parent_id": "4662e5cf-4610-44a0-89cf-0d6e31ee46f0",
      "parent_code": "sample string 3",
      "code": "sample string 4",
      "name": "sample string 5",
      "modified_dateutc": "2026-10-28T21:49:56.2911712+00:00"
    },
    "article_category_code": "sample string 3",
    "article_group_1_id": "149516cd-3de4-440e-b78f-1dacfcf11e8f",
    "article_group_1_code": "sample string 5",
    "article_group_2_id": "301abc13-a85d-4134-8458-b8bfd50d0875",
    "article_group_2_code": "sample string 7",
    "article_group_3_id": "1292467e-3d52-4d8e-91e5-84cb31d9964b",
    "article_group_3_code": "sample string 9",
    "article_group_4_id": "08524019-29b8-4d1b-a242-ffd03c5c92f0",
    "article_group_4_code": "sample string 11",
    "article_group_5_id": "7f19a998-6098-41af-81ed-4fe89e91ec0e",
    "article_group_5_code": "sample string 13",
    "article_group_6_id": "51469cb7-118a-48dc-b15a-ed4d25f53887",
    "article_group_6_code": "sample string 15",
    "physical_stock": 16,
    "back_order_client": 17,
    "back_order_supplier": 18,
    "expected_delivery_date_bo_supplier": "2026-10-28T21:49:56.2911712+00:00",
    "article_increment": 20,
    "min_article_quantity": 21,
    "entered_price": 22.0,
    "cost_price": 23.1,
    "no_stock": true,
    "archived": true,
    "is_travel_fee": true,
    "is_mileage_fee": true,
    "code": "sample string 28",
    "name": "sample string 29",
    "description_short": "sample string 30",
    "description_long": "sample string 31",
    "barcode": "sample string 32",
    "notes": "sample string 33",
    "date_create": "2026-10-28T21:49:56.2911712+00:00",
    "date_update": "2026-10-28T21:49:56.2911712+00:00",
    "modified_dateutc": "2026-10-28T21:49:56.2911712+00:00",
    "article_color_id": "fd327039-3ff5-4c71-8945-b2148a2a4fe0",
    "article_color_code": "sample string 38",
    "article_color": {
      "id": "99bd5d55-0d98-4f02-b84a-8faf0ccbf5bd",
      "name": "sample string 2",
      "code": "sample string 3",
      "modified_dateutc": "2026-10-28T21:49:56.2911712+00:00"
    },
    "warranty_period_nb_months": 39,
    "use_serial": true,
    "_replace_id": "ad97e0f1-b3b9-4d27-97aa-9262f2aac217",
    "replace_article_code": "sample string 42",
    "db_unit_of_measure_id_selling": "e0b7ae5c-02fe-49ad-b8c1-d6356857ed78",
    "db_unit_of_measure_code_selling": "sample string 44",
    "translations": [
      {
        "field_name": "sample string 1",
        "language_code": "sample string 2",
        "value_translated": "sample string 3"
      },
      {
        "field_name": "sample string 1",
        "language_code": "sample string 2",
        "value_translated": "sample string 3"
      }
    ]
  },
  "line_number": 6,
  "code": "sample string 7",
  "supplier_code": "sample string 8",
  "name": "sample string 9",
  "description": "sample string 10",
  "price": 11.0,
  "quantity": 12.0,
  "memo": "sample string 13",
  "cost_price": 14.0,
  "reference_back_office": "sample string 15",
  "modified_dateutc": "2026-10-28T21:49:56.2911712+00:00"
}